// Copyright (C) 2022 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

part of 'form_data_cubit.dart';

// ignore: must_be_immutable
abstract class FormDataState extends Equatable {
  /// Global status of a form.
  final FormStatus status;

  /// FormData with all inputs, and associated metadata.
  late WyattForm form;

  /// Optional error message.
  final String? errorMessage;

  FormDataState({
    WyattForm? form,
    this.status = FormStatus.pure,
    this.errorMessage,
  }) {
    this.form = form ?? WyattFormImpl(const [], name: '');
  }

  @override
  List<Object?> get props => [status, form, errorMessage];
}
